Subject: bug#15880: Compute C declarations for DEFSYMs automatically.

From: Stefan Monnier <[email-masked]>
Date: Thu, 14 Nov 2013 00:06:07 -0500

> I was thinking of something that didn't have a symbol_vals table, like this:

> struct Lisp_Symbol symbol_structs[N];
> #define Qnil make_lisp_ptr (symbol_structs + 0, Lisp_Symbol)
> #define Qt   make_lisp_ptr (symbol_structs + 1, Lisp_Symbol)
> ...

Oh, right.  So you need a mark_symbol_array function, but yes, that
could lead to slightly more efficient optimized code.  Of course,
without link-time optimization, it probably won't be any better than
what we have (tho not sure if it would be worse; probably a wash).

        Stefan